Ruby 2.4.0 リファレンスマニュアル > ライブラリ一覧 > webrick/sslライブラリ

library webrick/ssl

要約

WEBrick::GenericServer を SSL/TLS に対応させるための実装。 このファイルを require すると WEBrick::GenericServer が SSL/TLS 対応になる。

ruby 1.8.3 以降では単に require するだけでは SSL/TLS は有効ではなく、 設定で明示的に有効にする必要がある。

追加・再定義されるメソッド

WEBrick::Config::General WEBrick::Config::SSL WEBrick::GenericServer#ssl_context WEBrick::GenericServer.new